#include <cstdio>
#include <cstring>
#include <cstdlib>
#include <algorithm>
using namespace std;
bool cmp(char* s1, char* s2){
	int i;
	int len1 = strlen(s1);
	int len2 = strlen(s2);
	int len = min(len1, len2);
	for(i=0; i<len; i++){
		if(s1[i] > s2[i])
			return true;
		if(s2[i] > s1[i])
			return false;
	}
	if(len1==len2)
		return true;
	if(len1 > len2)
		return cmp(s1+len, s2);
	return cmp(s1, s2+len);
}
int main(){
	int a, b, c;
	char *s1, *s2, *s3;
	char *tmp;
	scanf("%d%d%d", &a, &b, &c);
	s1= (char*)malloc(20*sizeof(char));
	s2= (char*)malloc(20*sizeof(char));
	s3= (char*)malloc(20*sizeof(char));
	sprintf(s1, "%d", a);
	sprintf(s2, "%d", b);
	sprintf(s3, "%d", c);
	if(cmp(s2, s1)){
		tmp = s1;
		s1=s2;
		s2=tmp;
	}
	if(cmp(s3, s2)){
		tmp = s2;
		s2=s3;
		s3=tmp;
	}
	if(cmp(s2, s1)){
		tmp = s1;
		s1=s2;
		s2=tmp;
	}
	printf("%s%s%s\n", s1, s2, s3);
	return 0;
}